const formatTime = () => {
  return new Date().toISOString();
};

exports.logInfo = (message, data = null) => {
  console.log(`🟢 [INFO] ${formatTime()} - ${message}`);
  if (data) console.log(data);
};

exports.logWarn = (message, data = null) => {
  console.warn(`🟡 [WARN] ${formatTime()} - ${message}`);
  if (data) console.warn(data);
};

exports.logError = (message, error = null) => {
  console.error(`🔴 [ERROR] ${formatTime()} - ${message}`);
  if (error) console.error(error);
};
